using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ShoreSide.Core;

namespace ShoreSide.UI
{
    public partial class Config : SSForm
    {
        public Config()
        {
            InitializeComponent();
            propertyGrid1.SelectedObject = Controller.Settings;
        }

        private void buttonApply_Click(object sender, EventArgs e)
        {
            Controller.Settings.Save();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            Controller.Settings.Reload();
            this.Close();
        }
    }
}